# 无损简體 lossless-simplified-chinese

## 使用情境
數據庫以繁體儲存，顯示之前再轉為簡體。
無詞庫校正，適合古籍。
使用者輸入簡體，展開為可能的繁體字，再以Regular express搜尋。

## 用法

    import {toSim,fromSim} from 'lossless-simplified-chinese'

### 繁轉簡    
    
    String toSim(String, mode=0|1|2)
       mode 0 : 不做任何轉換
       mode 1 : 安全轉換 （預設值，可逆）

`張>张`  （`張`不是簡化字，`张`也不是繁體字）
       
       mode 2 : 次安全轉換   （不可逆）
                
`雲>云`  `傑>杰`  `幹>干`  `剋>克` （`雲`,`幹`,`剋`不是簡化字，但`云`,`杰`,`克`,`干`也是繁體字）

這六組字永遠不相互轉換, 因為既是簡化字同時也是繁體字

`乾干`  `後后`  `覆复`  `徵征`  `於于`  `麽么幺`

### 簡轉繁
    
    String fromSim(String, mode=0|1|2|3)
       mode 0 : 不做任何轉換

       mode 1 : 安全轉換  (預設值)

`张` 轉成 `張` ，但 `杰` 不轉。

       mode 2 : 轉為最常用的繁體字 (可能會錯)
         
`杰`轉為`傑` ， `干`轉為`幹`，`云` 轉為`雲`

       mode 3 : 列舉所有可能

`树干`轉成`樹[幹乾干]`

## 限制

    目前只支援 GB2312 及 Big5 字集。

## 範例

    見 test.js